### Hierarchy

- Rule

## Index

### Properties

- name

### Methods

- analyze
- initContext

## Properties

### name

name: string

- Defined in CompilerInterface.ts:26

## Methods

### analyze

- analyze(ctx: Context, t: Token): Fragment | Fragment[]

- - Defined in CompilerInterface.ts:28

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment | Fragment[]

### Optional initContext

- initContext(ctx: Context): void

- - Defined in CompilerInterface.ts:27

  #### Parameters

  - ##### ctx: Context

  #### Returns void

Generated using TypeDoc